Make a Payment with SurchargeAsk AIpost https://sandbox.api.mxmerchant.com/checkout/v3/paymentQuery ParamsechobooleanDefaults to falsetruefalseincludeCustomerMatchesbooleanDefaults to falseReturn customers that have this card vaulted in their accounttruefalseBody ParamsmerchantIdstringrequiredId of the merchantamountfloatrequiredThe payment amount. Must not be 0.paymentTypestringDefaults to SaleType of transaction Values: Sale, Refund, CashAdvance, Prepaid, Adjustment, Void, Reversal, Authorization, SaleCompletion, PaymentTransaction, Withdrawal, BalanceauthOnlybooleanDefaults to falseIndicates that this payment should NOT be added to current batch. AuthOnly payment won't be settled.truefalseisAuthbooleanDefaults to falseShould this card be authorized?truefalsetenderTypestringValues: Card, Check, Cash, Multiple, Loyalty, ACHcardPresentbooleanIs the credit card is present at the time of payment?truefalsecardAccountobjectCard Account Object (Required if tenderType is Card)cardAccount objectbankAccountobjectBank Account Object (Required if tenderType is Check or ACH)bankAccount objectentryClassstringDefaults to WEBGets or sets the ACH entry class Values: CCD, PPD, TEL, WEBisSettleFundsbooleanDefaults to falseShould this transaction be settled?truefalsecustomerobjectAssociate the payment to an existing customer in your customer database.customer objectcustomerNamestringCustomer Name (256 char) (Does NOT associate payment to customer)customerCodestringClient provided customer reference number (Associates with Customer Number). Cannot be combined with invoiceId and clientReference if B2B is onmetastringMemo fieldreplayIdint32A merchant-supplied identifier to uniquely identify a payment request to facilitate retries due to I/O related issues. This identifier must be unique. If supplied, we will check for a payment that matches this identifier. If found will return an identical response of the original request. Represents a bigInt value.sourcestringDefaults to APIValues: API, QuickPay, Recurring, Link2Pay, TerminalclientReferencestringClient provided payment reference number; can be associated with multiple payments (17 char max)invoicestringClient provided invoice number (Generated by server if not provided,16 char max)invoiceIdsarray of stringsIf there are multiple invoices, you can send in an array of existing invoice ids (Note: they must already exist in MX Merchant)invoiceIdsADD stringorderIdsarray of stringsIf there are multiple orders, you can send in an array of existing order ids (Note: they must already exist in MX Merchant)orderIdsADD stringtaxfloatTax Amount (included in amount)taxExemptbooleanDefaults to falseIf true, tax amount must be 0truefalsecardPresentTypestringValues: CardPresentKeyed, CardPresentSwiped, CardNotPresentdevicestringGets/Sets the device identifier, this is the terminal id.purchasesarrayGets/Sets the list of purchases. Used by level 3 data during settlementpurchasesshipAmountfloatGets/Sets the ship amount, used by level 3 data during settlementshipToCountrystringGets/Sets the 3-digit alphanumeric ship-to country code, i.e. USA, used by level 3 data during settlementshipToZipstringGets/Sets the ship-to zip code, used by level 3 data during settlementshouldVaultCardbooleanUse this param to vault a new card to a new or existing customer. Send in customer.id to vault to an existing customer, and at a minimum, customer.firstName or customer.lastName to vault the card to a new customer.truetruefalsetipfloatGets/Sets the amount of the gratuity (included in amount).vatAmountfloatGets/Sets the vat amount, used by level 3 data during settlementvatRatefloatGets/Sets the VAT rate, used by level 3 data during settlementtagsarray of stringsAssociate a tag with the payment (You must set up the tag first in MX Merchant)tagsADD stringsurchargeAmountstringDollar amount for the surcharge.surchargeLabelstringDefaults to surchargeLabels for the surcharge: surcharge, convenience fee, non-cash adjustmentsurchargeRatestringRate for surcharge on the merchant account.mxAdvantageEnabledbooleanDefaults to trueIf true, MX Advantage is enabled.truefalsemxAdvantageFeeLabelstringDefaults to surchargeLabel for surcharge.mxAdvantageFeeTypestringDefaults to percentageType of surcharge.mxAdvantageFeeAmountstringThe amount of the MX Advantage surcharge.Responses 201201 400400Updated about 5 years ago